Package org.apache.sis.io

## Class InvalidSeekException

- Object
- - Throwable
  - - Exception
    - - IOException
      - - InvalidSeekException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidSeekException
      extends IOException

  Thrown when an input stream or a channel can not modify its position to the given value. If may be because the given position is after the end of file, but not necessarily. This exception may also be thrown by implementations that cache a portion of a file and can only seek inside that portion.
  Since:
    0.8
  See Also:
    `SeekableByteChannel​.position(long)`, `InputStream​.reset()`, `ImageInputStream​.reset()`, Serialized Form

  Defined in the `sis-utility` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidSeekException()` | Constructs a new exception with no message.
    `InvalidSeekException​(String message)` | Constructs a new exception with the specified detail message.
    `InvalidSeekException​(String message, Throwable cause)` | Constructs a new exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidSeekException

          public InvalidSeekException()

      Constructs a new exception with no message.

    - #### InvalidSeekException

          public InvalidSeekException​(String message)

      Constructs a new exception with the specified detail message.
      Parameters:
        `message` - the detail message, or `null` if none.

    - #### InvalidSeekException

          public InvalidSeekException​(String message,
                                      Throwable cause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message, or `null` if none.
        `cause` - the cause, or `null` if none.